# phpDox - Query\QueryBuilderInterface::selectMin

# Query\QueryBuilderInterface::selectMin

#### Selects the minimum value of a field from a query

## Signature

`public function selectMin(string $field, [boolean $as = FALSE] )`

## Parameters

`$field` — string
`$as` — boolean

## Returns

QueryBuilderInterface

## Violations

### PHPMessDetector

Line | Rule | Message
--- | --- | ---
90 | BooleanArgumentFlag | The method selectMin has a boolean flag argument $as, which is a certain sign of a Single Responsibility Principle violation.
90 | ShortVariable | Avoid variables with short names like $as. Configured minimum length is 3.